Package org.apache.catalina.util

## Class SessionConfig

- java.lang.Object
- - org.apache.catalina.util.SessionConfig

    public class SessionConfig
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getSessionCookieName​(Context context)` Determine the name to use for the session cookie for the provided context.
`static java.lang.String` `getSessionCookiePath​(Context context)` Determine the value to use for the session cookie path for the provided context.
`static java.lang.String` `getSessionUriParamName​(Context context)` Determine the name to use for the session path parameter for the provided context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSessionCookieName

    public static java.lang.String getSessionCookieName​(Context context)

Determine the name to use for the session cookie for the provided context.

Parameters:
  `context` - The context
Returns:
  the cookie name for the context

#### getSessionUriParamName

    public static java.lang.String getSessionUriParamName​(Context context)

Determine the name to use for the session path parameter for the provided context.

Parameters:
  `context` - The context
Returns:
  the parameter name for the session

#### getSessionCookiePath

    public static java.lang.String getSessionCookiePath​(Context context)

Determine the value to use for the session cookie path for the provided context.

Parameters:
  `context` - The context
Returns:
  the parameter name for the session